/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/

/* Preferred font: Familjen variable font */

@font-face {
	font-family: "FamiljenVF";
	src:	url("../fonts/FamiljenGrotesk-Italic-VF.woff2") format("woff2 supports variations"),
			url("../fonts/FamiljenGrotesk-Italic-VF.woff2") format("woff2-variations");
    font-display: fallback;
    font-weight: 400 700;
    font-style: italic;
}

@font-face {
	font-family: "FamiljenVF";
	src:	url("../fonts/FamiljenGrotesk-Regular-VF.woff2") format("woff2 supports variations"),
			url("../fonts/FamiljenGrotesk-Regular-VF.woff2") format("woff2-variations");
	font-display: fallback;
	font-weight: 400 700;
	font-style: normal;
}


/* Fallback font: Familjen static */

@font-face {
  font-family: "Familjen";
  font-style: italic;
  font-weight: 400;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-Italic.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: normal;
  font-weight: 400;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-Regular.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: italic;
  font-weight: 500;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-MediumItalic.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: normal;
  font-weight: 500;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-Medium.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: italic;
  font-weight: 600;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-SemiBoldItalic.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: normal;
  font-weight: 600;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-SemiBold.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: italic;
  font-weight: 700;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-BoldItalic.woff2") format("woff2");
}

@font-face {
  font-family: "Familjen";
  font-style: normal;
  font-weight: 700;
  font-display: fallback;
  src: url("../fonts/static/FamiljenGrotesk-Bold.woff2") format("woff2");
}


/* Fallback fonts (system) */

:root {
	--font-fallback: "San Francisco", "Helvetica Neue", Helvetica, sans-serif;
}

/*--------------------------------------------------------------
# Color Variables
# Help: https://bootstrapmade.com/color-system/
--------------------------------------------------------------*/

/* Global Colors */
:root { 
  --background-color: #ffffff;
  --default-color: #555555;
  --heading-color: #FF0000;
  --accent-color: #99CC88;
  --surface-color: #ffffff;
  --contrast-color: #ffffff;
}

/* Nav Menu Colors */
:root {
  --nav-color: rgba(255, 255, 255, 0.7);
  --nav-hover-color: #ffffff;
  --nav-mobile-background-color: #ffffff;
  --nav-dropdown-background-color: #ffffff;
  --nav-dropdown-color: #555555;
  --nav-dropdown-hover-color: #70b9b0;
}

/* Color Presets */

.light-background {
  --background-color: #f2f9f8;
  --surface-color: #ffffff;
}

.dark-background {
  --background-color: #11111F;
  --default-color: #ffffff;
  --heading-color: #ffffff;
  --surface-color: #33333F;
  --contrast-color: #ffffff;
}

body {
	font-family: "Familjen", var(--font-fallback);
	background-color: #222;
	color: #fff;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-rendering: optimizeLegibility;
	
}
/*
@supports (font-variation-settings: normal) {
 body {
  font-family: "FamiljenVF", var(--font-fallback);
 }
}
*/

a {
  text-decoration: none;
  color: var(--accent-color);
}

a:hover {
  color: var(--link-hover-color);
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6,
.font-primary {
  font-weight: 700;
}


h2,
h3,
h4 {
	margin-bottom: 16px;
	margin-top: 24px;
}

h2:first-child,
h3:first-child,
h4:first-child {
	margin-top: 0px;
}

/*--------------------------------------------------------------
# Sections General
--------------------------------------------------------------*/
:target {
  scroll-margin-top: 120px; /* Höhe des Headers */
}

section,
.section {
  padding: 40px 0;
/*   border-bottom: 2px solid rgba(255,255,255, 0.1); */
  /* border-bottom: 2px solid #FFCC00; */
}

.section-title {
  text-align: left;
  padding-bottom: 30px;
}

.section-title h2 {
  font-size: 32px;

  margin-bottom: 20px;
  padding-bottom: 0;
  /* color: #190F2F; */
}

.section-title p {
  margin-bottom: 0;
}

/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
.back-to-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  background: var(--link-color);
/*   background: #7766AA; */
  width: 40px;
  height: 40px;
  border-radius: 4px;
}

.back-to-top i {
  font-size: 24px;
  color: #fff;
  line-height: 0;
}

.back-to-top:hover {
	background: var(--link-hover-color);
/*   background: #CCBBFF; */
  color: #fff;
}

.back-to-top.active {
  visibility: visible;
  opacity: 1;
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
#header {
  height: 120px;
  z-index: 997;
  transition: all 0.5s;
  background: rgba(17, 17, 17, 0.85);
/*   background: rgba(17, 17, 31, 0.85); */
  /* border-bottom: 1px solid rgba(255,255,255, 0.3); */
}

#header .logo img {
  padding: 0;
  margin: 0;
  max-height: 100px;
}

#main {
  /* margin-top: 120px; */
  border-top: 3px solid var(--accent-color); /* #7766AA #FFCC00; */
/*   border-bottom: 5px solid var(--accent-color); */
}

/* logo */
.nav-logo {	/* logo beipacktext */
	/* display: inline-block; */
	margin-left: 30px;
	white-space: nowrap;
	font-size: 2.5em;
	font-weight: 700;
	/*
	line-height: 10px;
	background-color:red; */
}

.nav-link-svg:hover #bar,
.nav-link-svg:hover #tri {
	fill: var(--link-hover-color);
}
.nav-link-svg:hover #up1,
.nav-link-svg:hover #up2 {
	fill: #c00; /* var(--accent-color); */
}

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/**
* Desktop Navigation 
*/
.navbar {
  padding: 0;

}

.navbar ul {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;
  align-items: center;
}

.navbar li {
  position: relative;
}

.navbar a,
.navbar a:focus {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0 10px 30px;
  font-size: 1.2rem;
  color: var(--link-color);
  white-space: nowrap;
  transition: 0.3s;
}

.navbar a i,
.navbar a:focus i {
  font-size: 12px;
  line-height: 0;
  margin-left: 5px;
}

.navbar a:hover,
.navbar .active,
.navbar .active:focus,
.navbar li:hover>a {
  color: var(--link-hover-color);
  
}

.navbar .active,
.navbar .active:focus {
	font-weight: 700;
}

/**
* Mobile Navigation 
*/
.mobile-nav-toggle {
/*   color: #7766AA; */
	color: var(--link-color);
  font-size: 28px;
  cursor: pointer;
  display: none;
  line-height: 0;
  transition: 0.5s;
}

@media (max-width: 991px) {
  .mobile-nav-toggle {
    display: block;
  }

  .navbar ul {
    display: none;
  }
}

.navbar-mobile {
  position: fixed;
  overflow: hidden;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background: rgba(17, 17, 17, 0.95);
  transition: 0.3s;
}

.navbar-mobile .mobile-nav-toggle {
  position: absolute;
  top: 15px;
  right: 15px;
  /* color: #fff; */
}

.navbar-mobile ul {
  display: block;
  position: absolute;
  top: 55px;
  bottom: 15px;
  right: 15px;
  left: 15px;
  /* margin: auto; */
  padding: 10px 0;
  overflow-y: auto;
  transition: 0.3s;
}

.navbar-mobile a,
.navbar-mobile a:focus {
  padding: 10px 20px;
  font-size: 20px;
  /* color: rgba(255, 255, 255, 0.6); */
}

.navbar-mobile a:hover,
.navbar-mobile .active,
.navbar-mobile li:hover>a {
  /* color: #fff; */
}

/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
.hero {
  width: 100%;
  min-height: 70vh;
  position: relative;
  margin-top: 0px; /* 120px = header nav */
  padding: 240px 0 120px; /* 120px = header nav */
  display: flex;
  align-items: center;
  justify-content: center;
  
  /* color: #000; */
}

.hero img {	/* not used */
  position: absolute;
  inset: 0;
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

.hero-img {
  background-image: url("../img/hero-img-203.jpg");
  background-position: center right;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: auto;
}
/*
.hero:before {
  content: "";
  background: color-mix(in srgb, var(--background-color), transparent 30%);
  position: absolute;
  inset: 0;
  z-index: 2;
}
*/
.hero .container {
  position: relative;
  z-index: 3;
}

.hero h2 {
  margin: 0;
  font-size: 48px;
  color: rgba(17, 35, 17, 0.8);
}

.hero p {
  margin: 10px 0 0 0;
  font-size: 28px;
  color: rgba(17, 35, 17, 0.8);
}

.hero .btn-get-started {	/* not used */
  color: var(--default-color);
  /* font-weight: 400; */
  font-size: 16px;
  letter-spacing: 1px;
  display: inline-block;
  padding: 8px 40px;
  margin: 30px 0 0 0;
  border-radius: 4px;
  /* transition: 0.5s; */
  border: 2px solid color-mix(in srgb, var(--default-color), transparent 50%);
}

.hero .btn-get-started:hover {
  color: var(--contrast-color);
  background: var(--accent-color);
  border-color: var(--accent-color);
}

@media (max-width: 768px) {
  .hero {
    max-height: 60vh;
  }
  .hero-img {
	background-size: cover;
  }
  .hero h2 {
    font-size: 32px;
  }
  .hero p {
    font-size: 18px;
  }
}



/*--------------------------------------------------------------
# About Us
--------------------------------------------------------------*/
.about ul {
  list-style: none;
  padding: 0;
}

.about ul li {
  padding-bottom: 10px;
}

.about p:last-child {
  margin-bottom: 0;
}

/*--------------------------------------------------------------
# Services
--------------------------------------------------------------*/
.services .icon-box {
  margin-bottom: 20px;
  text-align: center;
}

.services .icon {
  display: flex;
  justify-content: center;
  margin-bottom: 15px;
}

.services .icon i {
  /* color: #190F2F; */
  font-size: 42px;
}

.services .title {
  font-weight: 700;
  margin-bottom: 15px;
  font-size: 18px;
  text-transform: uppercase;
}

.services .title a {
  /* color: #343a40; */
  transition: 0.3s;
}

.services .icon-box:hover .title a {
  /* color: #190F2F; */
}

.services .description {
  line-height: 24px;
  font-size: 14px;
}

.services .services-title {
  /* color: #190F2F; */
}

/*--------------------------------------------------------------
# Quotes
--------------------------------------------------------------*/
.quote {
  background: linear-gradient(#333333FF,#222222AA);
  padding: 60px 0;
  color: #FFF;
}

.quote h3 {
  /* color: #190F2F; */
  font-size: 32px;
  font-weight: 600;
  padding: 0 10vw;
}

.quote p {
  /* color: #190F2F; */
}


/*--------------------------------------------------------------
# Portfolio
--------------------------------------------------------------*/
.portfolio {
  padding: 60px 0;
}




/*--------------------------------------------------------------
# Contact Us
--------------------------------------------------------------*/
.contact .contact-about p {
  font-size: 14px;
  line-height: 24px;
}
/*
.contact .social-links {
  padding-bottom: 20px;
}

.contact .social-links a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  background: #fff;
  color: #190F2F;
  line-height: 0;
  margin-right: 4px;
  border-radius: 50%;
  width: 36px;
  height: 36px;
  transition: 0.3s;
  border: 1px solid #99AFBF;
}

.contact .social-links a:hover {
  background: #99AFBF;
  color: #fff;
}
*/

.contact .info {
  /* color: #777; */
}

.contact .info i {
  font-size: 18px;
  /* color: #000; */
  float: left;
  line-height: 20px;
}

.contact .info p {
  padding: 0 0 10px 30px;
  font-size: 16px;
  line-height: 20px;
}

.contact .php-email-form .error-message {
  display: none;
  color: #ed3c0d;
  border: 2px solid #ed3c0d;
  text-align: left;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .error-message br+br {
  margin-top: 25px;
}

.contact .php-email-form .sent-message {
  display: none;
  color: #00aa55;
  border: 2px solid #00aa55;
  text-align: center;
  padding: 15px;
  font-weight: 600;
}

.contact .php-email-form .loading {
  display: none;
  background: #fff;
  text-align: center;
  padding: 15px;
}

.contact .php-email-form .loading:before {
  content: "";
  display: inline-block;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  margin: 0 10px -6px 0;
  border: 3px solid var(--accent);
  border-top-color: var(--cyanig);
  -webkit-animation: animate-loading 1s linear infinite;
  animation: animate-loading 1s linear infinite;
}

.contact .php-email-form input,
.contact .php-email-form textarea {
  border-radius: 4px;
  box-shadow: none;
  font-size: 14px;
  border-color: var(--cyanig);
}

.contact .php-email-form button[type=submit] {
  background: var(--link-color);
  border: 0;
  padding: 10px 24px;
  color: #fff;
  border-radius: 4px;
}

.contact .php-email-form button[type=submit]:hover {
  background: var(--link-hover-color);
}

@-webkit-keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes animate-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

/*--------------------------------------------------------------
# Map
--------------------------------------------------------------*/
.map {
  padding: 0;
  margin-bottom: -10px;
}

.map iframe {
  width: 100%;
  height: 380px;
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
#footer {
/*   background: #190F2F; */
  padding: 30px 0;
  color: rgba(255,255,255,0.5);
  font-size: 14px;
}

#footer .copyright {
  text-align: center;
}

#footer .credits {
  padding-top: 10px;
  text-align: center;
  font-size: 13px;
  color: #fff;
}

#footer a {
	color: rgba(255,255,255,0.5);
}

#footer a:hover {
	color: rgba(255,255,255,0.9);
}


/* Own classes */

.customList {
  list-style: none;
  text-indent: -9px;
  margin-left: 16px;
  padding-left: 0;
}

.figure-caption {		
	color: #ccc !important; /* bootstrap override */
	padding-top: 4px;
}

.border-bottom-transparent {
	border-bottom: 1px solid rgba(255,255,255,0.1);
}

.check {
	color:red;
	background-color:yellow;
}

.uc {
	text-transform: uppercase;
	letter-spacing: 0.1em;
}

.lead {
	font-weight: normal !important; /* bs override */
}

/* email obfuscation */
p.mof > span:nth-child(2) {
	display: none;
}
